// Visualisierung.java



/**

* Die Klasse Visualisierung ist die Hauptklasse der graphischen Darstellung

* und erstellt, wenn im im Hauptprogramm ein Objekt der Klasse Visualisierung

* aufgrufen wird, ein neues Fenster der Gre 1024x740 und erstellt darin

* ein Zeichenbrett aus der Klasse MeinPanel, welches das Spielfeld

* und die Daten aus dem Weltbild zeichnet.

* @author <a href="mailto:StephanOswald@web.de">Stephan Oswald</a>

* @author <a href="mailto:ismet@erdem.org">Ismet Erdem</a>
* @version 1.0
* @see <code>Loki</code>
*/



/** Importieren der Graphik Klassen. AWT zum zeichnen der Kreise, Swing

* fr das Fenster und das Panel

*/

import java.awt.event.*;

import java.awt.*;

import javax.swing.*;



public class Visualisierung extends JFrame

{

   /** Zeichenbrett als Attribut

   */

   MeinPanel meinpanel;



   /** Konstruktur erstellt neues Fenster mit fester gre,macht es sichtbar.

   * und fgt Ein neues Zeichenbrett ein

   */



   public Visualisierung()

   {



	setLocation(0, 0);

	setSize(1024,740);

	setVisible(true);;

	addWindowListener(new DemoAdapter() );

	meinpanel = new MeinPanel();

	this.getContentPane().add(meinpanel);

	pack();

   }

   /** Methode zur Aktivierung des Schliessenbuttons des Fensters

   */

   static class DemoAdapter extends WindowAdapter

   {



	public void windowClosing (WindowEvent e)

	{

	System.exit(0);

	}

    }

   /** Methode welche die zeichne Methode des Panels aufruft. Gedacht als Brcke

   *zwischen Hauptprogramm und der Klasse MeinPanel. bergabe der Objekte des

   *Weltbildes

   */

   public void zeichne( WbObjekt[] objekte )

   {

	meinpanel.zeichne( objekte );

   }



}

