// errorObject.java stand: 20020621
/**
 * uebernimmt die vom server gesendeten "error" werte.
 * wird von der kommunikation erzeugt und ans weltbild weitergegeben.
 *
 * @author <a href="mailto:rmathes@uni-mannheim.de">Rene</a>
 * @author <a href="mailto:dabrecht@uni-mannheim.de">David</a>
 * @version 0.0.1
 * @see <code>kommunikation.java</code>
 * @see <code>weltbild.java</code>
 *
 */
public class errorObject {

/**
 * private attribute des objekts
 * @see rcssmanual-7.07.pdf 6.1.1
 */
  private String errorMessage;

/**
 * errorObject() - konstruktor des objekts
 */
  public errorObject( String errorMessage ) {
    this.errorMessage = errorMessage;
  }
// ende des konstruktors

/**
 * errorMessage() - gibt die fehlermeldung zurueck
 * @return <code>String</code> errorMessage {errorMessage}
 */
  public String errorMessage() { return this.errorMessage; }

}
// ende der klasse errorObject
