// initObject.java stand: 20020621
/**
 * uebernimmt die vom server gesendeten "init" werte.
 * wird von der kommunikation erzeugt und ans weltbild weitergegeben.
 *
 * @author <a href="mailto:rmathes@uni-mannheim.de">Rene</a>
 * @author <a href="mailto:dabrecht@uni-mannheim.de">David</a>
 * @version 0.0.1
 * @see <code>kommunikation.java</code>
 * @see <code>weltbild.java</code>
 *
 */
public class initObject {

/**
 * private attribute des objekts
 * @see rcssmanual-7.07.pdf 6.1.1
 */
  private String side;
  private int uniformNumber;
  private String playMode;

/**
 * initObject() - konstruktor des objekts
 */
  public initObject( String side, int uniformNumber, String playMode ) {
    this.side = side;
    this.uniformNumber = uniformNumber;
    this.playMode = playMode;
  }
// ende des konstruktors

/**
 * side() - gibt die aktuelle spielfeldseite zurueck
 * @return <code>String</code> side {r|l}
 */
  public String side() { return this.side; }

/**
 * uniformNumber() - gibt die uniformNumber des spielers zurueck
 * @return <code>int</code> uniformNumber {>=0}
 */
  public int uniformNumber() { return this.uniformNumber; }

/**
 * playMode() - gibt den aktuellen playMode zurueck
 * @return <code>String</code> playMode {playMode}
 */
  public String playMode() { return this.playMode; }

}
// ende der klasse initObject
